Ternick
@Ternick

Почему не удаётся сделать запрос из-за прокси на другом компьютере?

Есть простенький код:
CODE

from requests import Session

session = Session()
session.proxies.update({"http": "http://159.8.114.34:8123",#Прокси паблик, просто для примера, в реальности 
	"https": "https://159.8.114.34:8123"})#Используются покупные https прокси с логином и паролем

print(session.get("https://ifconfig.me/ip").text)


К слову я знаю про verify=False, в данном случае, не помогает, ошибка так же появляется !

На моём компьютере всё работает хорошо, на другом же, появляется sslerror:

Traceback

Traceback (most recent call last):
  File "E:\Python\lib\site-packages\urllib3\connectionpool.py", line 696, in urlopen
    self._prepare_proxy(conn)
  File "E:\Python\lib\site-packages\urllib3\connectionpool.py", line 964, in _prepare_proxy
    conn.connect()
  File "E:\Python\lib\site-packages\urllib3\connection.py", line 359, in connect
    conn = self._connect_tls_proxy(hostname, conn)
  File "E:\Python\lib\site-packages\urllib3\connection.py", line 502, in _connect_tls_proxy
    ssl_context=ssl_context,
  File "E:\Python\lib\site-packages\urllib3\util\ssl_.py", line 432, in ssl_wrap_socket
    ssl_sock = _ssl_wrap_socket_impl(sock, context, tls_in_tls)
  File "E:\Python\lib\site-packages\urllib3\util\ssl_.py", line 474, in _ssl_wrap_socket_impl
    return ssl_context.wrap_socket(sock)
  File "E:\Python\lib\ssl.py", line 407, in wrap_socket
    _context=self, _session=session)
  File "E:\Python\lib\ssl.py", line 814, in __init__
    self.do_handshake()
  File "E:\Python\lib\ssl.py", line 1068, in do_handshake
    self._sslobj.do_handshake()
  File "E:\Python\lib\ssl.py", line 689, in do_handshake
    self._sslobj.do_handshake()
ssl.SSLError: [SSL: UNKNOWN_PROTOCOL] unknown protocol (_ssl.c:841)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "E:\Python\lib\site-packages\requests\adapters.py", line 449, in send
    timeout=timeout
  File "E:\Python\lib\site-packages\urllib3\connectionpool.py", line 756, in urlopen
    method, url, error=e, _pool=self, _stacktrace=sys.exc_info()[2]
  File "E:\Python\lib\site-packages\urllib3\util\retry.py", line 573, in increment
    raise MaxRetryError(_pool, url, error or ResponseError(cause))
urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='ifconfig.me', port=443): Max retries exceeded with url: /ip (Caused by SSLError(SSLError(1, '[SSL: UNKNOWN_PROTOCOL] unknown protocol (_ssl.c:841)'),))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "lolz.py", line 7, in <module>
    print(session.get("https://ifconfig.me/ip").text)
  File "E:\Python\lib\site-packages\requests\sessions.py", line 555, in get
    return self.request('GET', url, **kwargs)
  File "E:\Python\lib\site-packages\requests\sessions.py", line 542, in request
    resp = self.send(prep, **send_kwargs)
  File "E:\Python\lib\site-packages\requests\sessions.py", line 655, in send
    r = adapter.send(request, **kwargs)
  File "E:\Python\lib\site-packages\requests\adapters.py", line 514, in send
    raise SSLError(e, request=request)
requests.exceptions.SSLError: HTTPSConnectionPool(host='ifconfig.me', port=443): Max retries exceeded with url: /ip (Caused by SSLError(SSLError(1, '[SSL: UNKNOWN_PROTOCOL] unknown protocol (_ssl.c:841)'),))



Ох, подскажите в чём может быть причина такого поведения и как исправить?
  • Вопрос задан
  • 35 просмотров
Пригласить эксперта
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы
26 февр. 2021, в 22:16
10000 руб./за проект
26 февр. 2021, в 21:56
20000 руб./за проект